@import url('/fonts.css');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html,
body {
  height: 100%;
}

html {
  --color-primary: #2c639a;
  --color-secondary: #dc2c64;
  --color-paper: #e1e1e1;
  --color-yellow: #ffd700;
  --color-grey: #888888;

  --space: 8px;

  scroll-behavior: smooth;
}

body {
  background: #fff;
  color: var(--color-primary);
  font:
    300 16pt/2rem 'DM Sans',
    Arial,
    Helvetica,
    sans-serif;
}

strong {
  font-weight: 600;
}

img.circle {
  border-radius: 50%;
}

.container {
  width: 960px;
  margin: 0 auto;
}

.text-center {
  text-align: center;
}
.text-right {
  text-align: right;
}

header {
  text-align: center;
  padding: calc(var(--space) * 3) 0;
  height: 124px;
}

header > .container {
  display: flex;
  flex-direction: row;
  gap: calc(var(--space) * 2);
  align-items: center;
  justify-content: space-between;
  height: 100%;
  position: relative;
}
header .logo {
  display: flex;
  position: absolute;
  right: 0;
  top: 10px;
}

header .logo img {
  width: auto;
  height: 108px;
}

header .mobile-menu-toggle {
  display: none;
  font-size: 24pt;
  font-weight: bold;
  cursor: pointer;
  user-select: none;
  align-items: center;
  flex-direction: row;
  width: auto;
  height: 48px;
  fill: var(--color-primary);
}
header .mobile-menu-toggle svg {
  width: 36px;
  height: 36px;
}
header .mobile-menu-toggle h1 {
  font-size: 30pt;
  color: var(--color-secondary);
  margin-left: calc(var(--space) * 2);
}
body.scroll header .mobile-menu-toggle h1 {
  color: var(--color-primary);
}

header nav {
  flex-grow: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: calc(var(--space) * 0.5);
  font-family: 'Bebas Neue', sans-serif;
}

header nav a {
  text-decoration: none;
  color: var(--color-primary);
  font-weight: 400;
  padding: var(--space) calc(var(--space) * 2);
  border-radius: calc(var(--space) * 0.5);
  font-size: 1.7rem;
}
header nav a:hover,
header nav a.active {
  background: var(--color-secondary);
  color: white;
}
header nav .social {
  display: none;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: calc(var(--space) * 2);
  width: 100%;
}
header nav .social a {
  width: 48px;
  height: 48px;
  display: inline-flex;
  padding: 0;
  align-items: center;
  justify-content: center;
}
header nav .social svg {
  width: 30px;
  height: 30px;
}
header nav .social a:hover,
header nav .social a.active {
  background: none;
}

body.scroll {
  padding-top: 124px;
}

body.scroll header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--color-yellow);
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.5);
  z-index: 1000;
  height: 96px;
}

body.scroll header .logo {
  right: 24px;
  top: 14px;
}

body.scroll header .logo img {
  height: 81px;
}

body.scroll header nav a:hover,
body.scroll header nav a.active {
  background: var(--color-secondary);
  color: white;
}
body.scroll header nav .social a:hover,
body.scroll header nav .social a.active {
  background: none;
}

main {
  padding: calc(var(--space) * 3);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 100;
  font-family: 'Bebas Neue', sans-serif;
  line-height: 2.5rem;
}

h2 {
  font-size: 36pt;
  font-weight: 400;
  margin-bottom: 24px;
}

h3 {
  font-weight: 500;
  font-size: 30pt;
  margin-bottom: 22px;
  text-align: center;
}

h5 {
  text-transform: uppercase;
  color: var(--color-secondary);
  font-size: 20pt;
  font-weight: normal;
  text-align: center;
  margin: 48px 0 12px 0;
}

h6 {
  font-size: 18pt;
  margin: calc(var(--space) * 2) 0;
}

p {
  margin-bottom: 20px;
}

section {
  margin-bottom: calc(var(--space) * 4);
}

section img {
  max-width: 100%;
  height: auto;
}

section ul {
  width: 90%;
  padding-left: calc(var(--space) * 4);
  font-size: 16pt;
  line-height: 22pt;
}

.bigger {
  font-size: 1.5em;
  line-height: 1.5em;
}

.grid {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: var(--space);
}

.grid > div {
  grid-column: span 4;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
  padding: var(--space) calc(var(--space) * 2);
  gap: calc(var(--space) * 2);
}

.grid img {
  max-width: 100%;
  width: 190px;
  height: auto;
}

.grid h4 {
  color: var(--color-secondary);
  font-size: 18pt;
  font-weight: 400;
}

.grid ul {
  font-size: 12pt;
  line-height: 14pt;
  padding: 0 calc(4 * var(--space)) 0 calc(5 * var(--space));
}

.grid-2 > div {
  grid-column: span 6;
}

.grid-3 > div {
  grid-column: span 4;
}

.flex {
  display: flex;
  flex-direction: column;
  gap: calc(var(--space) * 3);
}
.flex-row {
  flex-direction: row;
  padding: 0 calc(var(--space) * 6);
}
.flex-center {
  align-items: center;
  justify-content: center;
}

.flex img {
  width: 190px;
  max-width: 190px;
  height: auto;
}

.rounded {
  border-radius: var(--space);
}

.font-8em {
  font-size: 0.8em;
}

.upcase {
  text-transform: uppercase;
}

.weight-normal {
  font-weight: normal;
}

.oblasti > div {
  height: 190px;
  background: var(--color-paper);
  color: black;
  padding: 0;
  display: block;
  font-size: 11pt;
}
.oblasti > div div {
  padding: var(--space);
  line-height: 1em;
}
.oblasti h6 {
  margin: 0;
  font-weight: 400;
  text-transform: uppercase;
  font-size: 11pt;
  padding: calc(var(--space) * 0.3) var(--space);
  color: white;
}
.oblasti > div:nth-of-type(1) h6 {
  background: #7d6d94;
}
.oblasti > div:nth-of-type(2) h6 {
  background: #0f664d;
}
.oblasti > div:nth-of-type(3) h6 {
  background: #82692d;
}
.oblasti > div:nth-of-type(4) h6 {
  background: #92301a;
}
.oblasti > div:nth-of-type(5) h6 {
  background: #1b6891;
}
.oblasti > div:nth-of-type(6) h6 {
  background: #e7111b;
}
.oblasti > div:nth-of-type(7) h6 {
  background: #f28324;
}
.oblasti > div:nth-of-type(8) h6 {
  background: #4b4389;
}
.oblasti > div:nth-of-type(9) h6 {
  background: #ae30a5;
}
.oblasti > div:nth-of-type(10) h6 {
  background: #3ea02c;
}

footer {
  background: var(--color-paper);
  box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.1);
  color: white;
  padding: calc(var(--space) * 2) 0;
  text-align: center;
  color: var(--color-grey);
  font-size: 0.8rem;
}
footer .container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}
footer a,
footer a:visited {
  text-decoration: underline;
  outline: none;
  color: var(--color-grey);
}
footer a:hover,
footer a:active {
  text-decoration: none;
}

footer .social {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: calc(var(--space) * 2);
}
footer .social a {
  text-decoration: none;
  display: inline-flex;
}
footer .social svg {
  width: 24px;
  height: 24px;
}
footer .social svg path {
  fill: var(--color-grey);
}
footer .social svg path.no-fill {
  fill: var(--color-paper);
}

footer .social a.instagram:hover svg path {
  fill: url(#0);
}
footer .social a.linkedin:hover svg path:first-of-type {
  fill: #0378b8;
}
footer .social a.youtube:hover svg path:first-of-type {
  fill: #f80900;
}

@media (max-width: 960px) {
  header {
    height: 72px;
    padding: 0 calc(var(--space) * 2);
  }
  header .logo {
    top: 16px;
  }
  header .logo img {
    height: 72px;
  }

  body.scroll header {
    height: 72px;
  }
  body.scroll header .logo {
    top: 16px;
    right: 0;
  }
  body.scroll header .logo img {
    height: 72px;
  }

  header nav {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    background: white;
    justify-content: center;
    margin-left: -110%;
    transition: margin-left 0.3s ease-in-out;
    z-index: 2000;
    gap: 0;
  }
  header nav > a {
    width: 100%;
    border-radius: 0;
    border-bottom: 1px solid var(--color-paper);
  }
  header nav > a:hover {
    background: var(--color-yellow) !important;
    color: var(--color-primary) !important;
    border-color: var(--color-yellow) !important;
  }
  header nav > a.active {
    background: var(--color-secondary) !important;
    border-color: var(--color-secondary) !important;
    color: white !important;
  }
  header nav > a:first-of-type {
    border-top: 1px solid var(--color-paper);
  }
  header nav .social {
    display: flex;
    position: fixed;
    bottom: calc(var(--space) * 3);
  }

  header.open nav {
    margin-left: 0;
  }
  header .container {
    justify-content: space-between;
  }
  header .mobile-menu-toggle {
    display: flex;
  }
  header nav .close {
    width: 36px;
    height: 36px;
    position: absolute;
    top: calc(var(--space) * 2);
    right: calc(var(--space) * 2);
    font-size: 24pt;
    font-weight: bold;
    cursor: pointer;
    user-select: none;
    fill: var(--color-primary);
  }

  main {
    padding: calc(var(--space) * 5);
  }

  .container {
    width: 100%;
  }
  .grid > div {
    grid-column: span 12;
  }

  section ul,
  .grid ul {
    width: 100%;
    padding-right: 0;
  }

  .flex-row {
    flex-direction: column;
    padding: 0;
  }
  .flex h2 {
    text-align: center;
  }

  footer .container {
    padding: var(--space) calc(var(--space) * 2);
  }
}

@media (max-width: 600px) {
  .hide-on-small {
    display: none;
  }
  body.scroll header {
    height: 56px;
  }
  header .mobile-menu-toggle h1 {
    font-size: 18pt;
  }
  header .logo img,
  body.scroll header .logo img {
    height: 56px;
  }
  body.scroll header .logo {
    top: 14px;
  }
}
